summaryrefslogtreecommitdiff
path: root/source4/script/tests/selftest.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2006-09-08 04:35:41 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:17:55 -0500
commitcaa4bfce7c2e152bcdf95878677913987af70cbd (patch)
treee340fddad34adffbb84b686c325b7a0edcc941ff /source4/script/tests/selftest.sh
parent8d21ad6c25d1298d3a682077a2080571ccb70030 (diff)
downloadsamba-caa4bfce7c2e152bcdf95878677913987af70cbd.tar.gz
samba-caa4bfce7c2e152bcdf95878677913987af70cbd.tar.bz2
samba-caa4bfce7c2e152bcdf95878677913987af70cbd.zip
r18247: more shell portability fixes
(This used to be commit d9ddfdf9e86295224dd42c0ab1aa954111ede588)
Diffstat (limited to 'source4/script/tests/selftest.sh')
-rwxr-xr-xsource4/script/tests/selftest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index b09399f032..7ba5b5c897 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -58,10 +58,10 @@ incdir=`dirname $ARG0`
if [ x"$TEST_LDAP" = x"yes" ]; then
slapd_start
echo -n "LDAP PROVISIONING..."
- if ! $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI; then
+ $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI || {
echo "LDAP PROVISIONING failed: $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI"
exit 1;
- fi
+ }
fi
SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"